Agent Email
List inbox drafts
GET /v1/agent-email/inboxes/{inboxId}/drafts · SDK listAgentEmailDrafts · CLI deployments inbox drafts
GET
Requires agent-email:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
inboxId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100status?stringValue in
"approved""cancelled""draft""failed""pending_approval""queued""rejected""scheduled""sent"x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$AgentEmailDraftPageResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/agent-email/inboxes/string/drafts" \ -H "x-deployments-environment: string"{ "items": [ { "approvedAt": "2019-08-24T14:15:22Z", "bccAddresses": [ "string" ], "ccAddresses": [ "string" ], "clientId": "string", "createdAt": "2019-08-24T14:15:22Z", "failureReason": "string", "htmlBody": "string", "id": "string", "inboxId": "string", "metadata": { "property1": null, "property2": null }, "organizationId": "string", "rejectedAt": "2019-08-24T14:15:22Z", "replyToMessageId": "string", "scheduledAt": "2019-08-24T14:15:22Z", "sentMessageId": "string", "status": "approved", "subject": "string", "textBody": "string", "toAddresses": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}